Subject: Visiting Santa Cruz

From: [email-masked]
Date: Thu, 21 Oct 1999 16:22:47 -0400

Hey, my hubby and I are going to be out in Santa Cruz on 11/10 through 
11/14 (actually flying out sometime on the 14th to Calgary).  I thought it 
might be nice to introduce you to him and to meet somehow for dinner or 
something.  What do you think? Let me know if that's possible.  Take care.